Hex Artifact Content

Artifact fac2b52a94ba58709ded34709402f854e596e862:


0000: 23 21 20 2f 75 73 72 2f 62 69 6e 2f 65 6e 76 20  #! /usr/bin/env 
0010: 62 61 73 68 0a 0a 69 66 20 5b 20 21 20 2d 66 20  bash..if [ ! -f 
0020: 27 62 75 69 6c 64 2e 73 68 27 20 5d 3b 20 74 68  'build.sh' ]; th
0030: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
0040: 20 54 68 69 73 20 73 63 72 69 70 74 20 6d 75 73   This script mus
0050: 74 20 62 65 20 72 75 6e 20 66 72 6f 6d 20 74 68  t be run from th
0060: 65 20 64 69 72 65 63 74 6f 72 79 20 69 74 20 69  e directory it i
0070: 73 20 69 6e 27 20 3e 26 32 0a 0a 09 65 78 69 74  s in' >&2...exit
0080: 20 31 0a 66 69 0a 69 66 20 5b 20 2d 7a 20 22 24   1.fi.if [ -z "$
0090: 7b 54 43 4c 56 45 52 53 7d 22 20 5d 3b 20 74 68  {TCLVERS}" ]; th
00a0: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
00b0: 20 54 68 65 20 54 43 4c 56 45 52 53 20 65 6e 76   The TCLVERS env
00c0: 69 72 6f 6e 6d 65 6e 74 20 76 61 72 69 61 62 6c  ironment variabl
00d0: 65 20 69 73 20 6e 6f 74 20 73 65 74 27 20 3e 26  e is not set' >&
00e0: 32 0a 0a 09 65 78 69 74 20 31 0a 66 69 0a 0a 4d  2...exit 1.fi..M
00f0: 4b 34 56 45 52 53 3d 22 32 2e 34 2e 39 2e 37 22  K4VERS="2.4.9.7"
0100: 0a 53 52 43 3d 22 73 72 63 2f 6d 65 74 61 6b 69  .SRC="src/metaki
0110: 74 2d 24 7b 4d 4b 34 56 45 52 53 7d 2e 74 61 72  t-${MK4VERS}.tar
0120: 2e 67 7a 22 0a 53 52 43 55 52 4c 3d 22 68 74 74  .gz".SRCURL="htt
0130: 70 3a 2f 2f 77 77 77 2e 65 71 75 69 34 2e 63 6f  p://www.equi4.co
0140: 6d 2f 70 75 62 2f 6d 6b 2f 6d 65 74 61 6b 69 74  m/pub/mk/metakit
0150: 2d 24 7b 4d 4b 34 56 45 52 53 7d 2e 74 61 72 2e  -${MK4VERS}.tar.
0160: 67 7a 22 0a 42 55 49 4c 44 44 49 52 3d 22 24 28  gz".BUILDDIR="$(
0170: 70 77 64 29 2f 62 75 69 6c 64 2f 6d 65 74 61 6b  pwd)/build/metak
0180: 69 74 2d 24 7b 4d 4b 34 56 45 52 53 7d 22 0a 4f  it-${MK4VERS}".O
0190: 55 54 44 49 52 3d 22 24 28 70 77 64 29 2f 6f 75  UTDIR="$(pwd)/ou
01a0: 74 22 0a 49 4e 53 54 44 49 52 3d 22 24 28 70 77  t".INSTDIR="$(pw
01b0: 64 29 2f 69 6e 73 74 22 0a 50 41 54 43 48 44 49  d)/inst".PATCHDI
01c0: 52 3d 22 24 28 70 77 64 29 2f 70 61 74 63 68 65  R="$(pwd)/patche
01d0: 73 22 0a 65 78 70 6f 72 74 20 4d 4b 34 56 45 52  s".export MK4VER
01e0: 53 20 53 52 43 20 53 52 43 55 52 4c 20 42 55 49  S SRC SRCURL BUI
01f0: 4c 44 44 49 52 20 4f 55 54 44 49 52 20 49 4e 53  LDDIR OUTDIR INS
0200: 54 44 49 52 20 50 41 54 43 48 44 49 52 0a 0a 23  TDIR PATCHDIR..#
0210: 20 53 65 74 20 63 6f 6e 66 69 67 75 72 65 20 6f   Set configure o
0220: 70 74 69 6f 6e 73 20 66 6f 72 20 74 68 69 73 20  ptions for this 
0230: 73 75 62 2d 70 72 6f 6a 65 63 74 0a 4c 44 46 4c  sub-project.LDFL
0240: 41 47 53 3d 22 24 7b 4b 43 5f 4d 4b 34 54 43 4c  AGS="${KC_MK4TCL
0250: 5f 4c 44 46 4c 41 47 53 7d 22 0a 43 46 4c 41 47  _LDFLAGS}".CFLAG
0260: 53 3d 22 24 7b 4b 43 5f 4d 4b 34 54 43 4c 5f 43  S="${KC_MK4TCL_C
0270: 46 4c 41 47 53 7d 22 0a 43 50 50 46 4c 41 47 53  FLAGS}".CPPFLAGS
0280: 3d 22 24 7b 4b 43 5f 4d 4b 34 54 43 4c 5f 43 50  ="${KC_MK4TCL_CP
0290: 50 46 4c 41 47 53 7d 22 0a 4c 49 42 53 3d 22 24  PFLAGS}".LIBS="$
02a0: 7b 4b 43 5f 4d 4b 34 54 43 4c 5f 4c 49 42 53 7d  {KC_MK4TCL_LIBS}
02b0: 22 0a 65 78 70 6f 72 74 20 4c 44 46 4c 41 47 53  ".export LDFLAGS
02c0: 20 43 46 4c 41 47 53 20 43 50 50 46 4c 41 47 53   CFLAGS CPPFLAGS
02d0: 20 4c 49 42 53 0a 0a 72 6d 20 2d 72 66 20 27 62   LIBS..rm -rf 'b
02e0: 75 69 6c 64 27 20 27 6f 75 74 27 20 27 69 6e 73  uild' 'out' 'ins
02f0: 74 27 0a 6d 6b 64 69 72 20 27 62 75 69 6c 64 27  t'.mkdir 'build'
0300: 20 27 6f 75 74 27 20 27 69 6e 73 74 27 20 7c 7c   'out' 'inst' ||
0310: 20 65 78 69 74 20 31 0a 0a 54 43 4c 5f 56 45 52   exit 1..TCL_VER
0320: 53 49 4f 4e 3d 22 75 6e 6b 6e 6f 77 6e 22 0a 69  SION="unknown".i
0330: 66 20 5b 20 2d 66 20 22 24 7b 54 43 4c 43 4f 4e  f [ -f "${TCLCON
0340: 46 49 47 44 49 52 7d 2f 74 63 6c 43 6f 6e 66 69  FIGDIR}/tclConfi
0350: 67 2e 73 68 22 20 5d 3b 20 74 68 65 6e 0a 20 20  g.sh" ]; then.  
0360: 20 20 20 20 20 20 73 6f 75 72 63 65 20 22 24 7b        source "${
0370: 54 43 4c 43 4f 4e 46 49 47 44 49 52 7d 2f 74 63  TCLCONFIGDIR}/tc
0380: 6c 43 6f 6e 66 69 67 2e 73 68 22 0a 66 69 0a 65  lConfig.sh".fi.e
0390: 78 70 6f 72 74 20 54 43 4c 5f 56 45 52 53 49 4f  xport TCL_VERSIO
03a0: 4e 0a 0a 69 66 20 5b 20 21 20 2d 66 20 22 24 7b  N..if [ ! -f "${
03b0: 53 52 43 7d 22 20 5d 3b 20 74 68 65 6e 0a 09 6d  SRC}" ]; then..m
03c0: 6b 64 69 72 20 27 73 72 63 27 20 3e 2f 64 65 76  kdir 'src' >/dev
03d0: 2f 6e 75 6c 6c 20 32 3e 2f 64 65 76 2f 6e 75 6c  /null 2>/dev/nul
03e0: 6c 0a 0a 09 69 66 20 5b 20 21 20 2d 64 20 27 62  l...if [ ! -d 'b
03f0: 75 69 6c 64 73 72 63 27 20 5d 3b 20 74 68 65 6e  uildsrc' ]; then
0400: 0a 09 09 72 6d 20 2d 66 20 22 24 7b 53 52 43 7d  ...rm -f "${SRC}
0410: 2e 74 6d 70 22 0a 09 09 77 67 65 74 20 2d 4f 20  .tmp"...wget -O 
0420: 22 24 7b 53 52 43 7d 2e 74 6d 70 22 20 22 24 7b  "${SRC}.tmp" "${
0430: 53 52 43 55 52 4c 7d 22 20 7c 7c 20 65 78 69 74  SRCURL}" || exit
0440: 20 31 0a 09 09 6d 76 20 22 24 7b 53 52 43 7d 2e   1...mv "${SRC}.
0450: 74 6d 70 22 20 22 24 7b 53 52 43 7d 22 0a 09 66  tmp" "${SRC}"..f
0460: 69 0a 66 69 0a 0a 28 0a 09 63 64 20 27 62 75 69  i.fi..(..cd 'bui
0470: 6c 64 27 20 7c 7c 20 65 78 69 74 20 31 0a 0a 09  ld' || exit 1...
0480: 69 66 20 5b 20 21 20 2d 64 20 27 2e 2e 2f 62 75  if [ ! -d '../bu
0490: 69 6c 64 73 72 63 27 20 5d 3b 20 74 68 65 6e 0a  ildsrc' ]; then.
04a0: 09 09 67 7a 69 70 20 2d 64 63 20 22 2e 2e 2f 24  ..gzip -dc "../$
04b0: 7b 53 52 43 7d 22 20 7c 20 74 61 72 20 2d 78 66  {SRC}" | tar -xf
04c0: 20 2d 0a 09 65 6c 73 65 20 20 20 20 0a 09 09 63   -..else    ...c
04d0: 70 20 2d 72 70 20 2e 2e 2f 62 75 69 6c 64 73 72  p -rp ../buildsr
04e0: 63 2f 2a 20 27 2e 2f 27 0a 09 66 69 0a 0a 09 23  c/* './'..fi...#
04f0: 20 41 70 70 6c 79 20 72 65 71 75 69 72 65 64 20   Apply required 
0500: 70 61 74 63 68 65 73 0a 09 63 64 20 22 24 7b 42  patches..cd "${B
0510: 55 49 4c 44 44 49 52 7d 22 20 7c 7c 20 65 78 69  UILDDIR}" || exi
0520: 74 20 31 0a 09 66 6f 72 20 70 61 74 63 68 20 69  t 1..for patch i
0530: 6e 20 22 24 7b 50 41 54 43 48 44 49 52 7d 2f 61  n "${PATCHDIR}/a
0540: 6c 6c 22 2f 6d 65 74 61 6b 69 74 2d 24 7b 4d 4b  ll"/metakit-${MK
0550: 34 56 45 52 53 7d 2d 2a 2e 64 69 66 66 20 22 24  4VERS}-*.diff "$
0560: 7b 50 41 54 43 48 44 49 52 7d 2f 24 7b 54 43 4c  {PATCHDIR}/${TCL
0570: 5f 56 45 52 53 49 4f 4e 7d 22 2f 6d 65 74 61 6b  _VERSION}"/metak
0580: 69 74 2d 24 7b 4d 4b 34 56 45 52 53 7d 2d 2a 2e  it-${MK4VERS}-*.
0590: 64 69 66 66 3b 20 64 6f 0a 09 09 69 66 20 5b 20  diff; do...if [ 
05a0: 21 20 2d 66 20 22 24 7b 70 61 74 63 68 7d 22 20  ! -f "${patch}" 
05b0: 5d 3b 20 74 68 65 6e 0a 09 09 09 63 6f 6e 74 69  ]; then....conti
05c0: 6e 75 65 0a 09 09 66 69 0a 0a 09 09 65 63 68 6f  nue...fi....echo
05d0: 20 22 41 70 70 6c 79 69 6e 67 3a 20 24 7b 70 61   "Applying: ${pa
05e0: 74 63 68 7d 22 0a 09 09 24 7b 50 41 54 43 48 3a  tch}"...${PATCH:
05f0: 2d 70 61 74 63 68 7d 20 2d 70 31 20 3c 20 22 24  -patch} -p1 < "$
0600: 7b 70 61 74 63 68 7d 22 0a 09 64 6f 6e 65 0a 0a  {patch}"..done..
0610: 09 63 64 20 22 24 7b 42 55 49 4c 44 44 49 52 7d  .cd "${BUILDDIR}
0620: 2f 75 6e 69 78 22 20 7c 7c 20 65 78 69 74 20 31  /unix" || exit 1
0630: 0a 0a 09 23 20 49 66 20 77 65 20 61 72 65 20 62  ...# If we are b
0640: 75 69 6c 64 69 6e 67 20 66 6f 72 20 57 69 6e 33  uilding for Win3
0650: 32 2c 20 77 65 20 6e 65 65 64 20 74 6f 20 64 65  2, we need to de
0660: 66 69 6e 65 20 22 42 55 49 4c 44 5f 74 63 6c 22  fine "BUILD_tcl"
0670: 20 73 6f 20 74 68 61 74 0a 09 23 20 54 43 4c 5f   so that..# TCL_
0680: 53 54 4f 52 41 47 45 5f 43 4c 41 53 53 20 67 65  STORAGE_CLASS ge
0690: 74 73 20 64 65 66 69 6e 65 64 20 61 73 20 44 4c  ts defined as DL
06a0: 4c 45 58 50 4f 52 54 2c 20 74 6f 20 6d 61 6b 65  LEXPORT, to make
06b0: 20 73 74 61 74 69 63 20 6c 69 6e 6b 69 6e 67 0a   static linking.
06c0: 09 23 20 77 6f 72 6b 0a 09 42 55 49 4c 44 54 59  .# work..BUILDTY
06d0: 50 45 3d 22 24 28 62 61 73 65 6e 61 6d 65 20 22  PE="$(basename "
06e0: 24 7b 54 43 4c 43 4f 4e 46 49 47 44 49 52 7d 22  ${TCLCONFIGDIR}"
06f0: 29 22 0a 09 69 66 20 5b 20 22 24 7b 42 55 49 4c  )"..if [ "${BUIL
0700: 44 54 59 50 45 7d 22 20 3d 20 22 77 69 6e 22 20  DTYPE}" = "win" 
0710: 5d 3b 20 74 68 65 6e 0a 09 09 43 50 50 46 4c 41  ]; then...CPPFLA
0720: 47 53 3d 22 24 7b 43 50 50 46 4c 41 47 53 7d 20  GS="${CPPFLAGS} 
0730: 2d 44 42 55 49 4c 44 5f 74 63 6c 3d 31 22 0a 09  -DBUILD_tcl=1"..
0740: 09 65 78 70 6f 72 74 20 43 50 50 46 4c 41 47 53  .export CPPFLAGS
0750: 0a 0a 09 09 69 66 20 5b 20 22 24 7b 53 54 41 54  ....if [ "${STAT
0760: 49 43 4d 4b 34 7d 22 20 21 3d 20 22 2d 31 22 20  ICMK4}" != "-1" 
0770: 5d 3b 20 74 68 65 6e 0a 09 09 09 69 66 20 5b 20  ]; then....if [ 
0780: 22 24 7b 53 54 41 54 49 43 4d 4b 34 7d 22 20 3d  "${STATICMK4}" =
0790: 20 22 30 22 20 5d 3b 20 74 68 65 6e 0a 09 09 09   "0" ]; then....
07a0: 09 65 63 68 6f 20 27 57 61 72 6e 69 6e 67 3a 20  .echo 'Warning: 
07b0: 4d 65 74 61 6b 69 74 34 20 66 61 69 6c 73 20 74  Metakit4 fails t
07c0: 6f 20 62 75 69 6c 64 20 73 68 61 72 65 64 20 6f  o build shared o
07d0: 6e 20 57 69 6e 33 32 2c 20 63 6f 6e 76 65 72 74  n Win32, convert
07e0: 69 6e 67 20 74 6f 20 73 74 61 74 69 63 20 6c 69  ing to static li
07f0: 6e 6b 69 6e 67 27 0a 0a 09 09 09 09 53 54 41 54  nking'......STAT
0800: 49 43 4d 4b 34 3d 22 31 22 0a 09 09 09 66 69 0a  ICMK4="1"....fi.
0810: 09 09 65 6c 73 65 0a 09 09 09 53 54 41 54 49 43  ..else....STATIC
0820: 4d 4b 34 3d 22 30 22 0a 09 09 66 69 0a 09 09 65  MK4="0"...fi...e
0830: 78 70 6f 72 74 20 53 54 41 54 49 43 4d 4b 34 0a  xport STATICMK4.
0840: 09 66 69 0a 0a 09 23 20 54 72 79 20 74 6f 20 62  .fi...# Try to b
0850: 75 69 6c 64 20 61 73 20 61 20 73 68 61 72 65 64  uild as a shared
0860: 20 6f 62 6a 65 63 74 20 69 66 20 72 65 71 75 65   object if reque
0870: 73 74 65 64 0a 09 69 66 20 5b 20 22 24 7b 53 54  sted..if [ "${ST
0880: 41 54 49 43 4d 4b 34 7d 22 20 3d 20 22 30 22 20  ATICMK4}" = "0" 
0890: 5d 3b 20 74 68 65 6e 0a 09 09 74 72 79 6f 70 74  ]; then...tryopt
08a0: 73 3d 22 2d 2d 65 6e 61 62 6c 65 2d 73 68 61 72  s="--enable-shar
08b0: 65 64 20 2d 2d 64 69 73 61 62 6c 65 2d 73 68 61  ed --disable-sha
08c0: 72 65 64 22 0a 09 65 6c 69 66 20 5b 20 22 24 7b  red"..elif [ "${
08d0: 53 54 41 54 49 43 4d 4b 34 7d 22 20 3d 20 22 2d  STATICMK4}" = "-
08e0: 31 22 20 5d 3b 20 74 68 65 6e 0a 09 09 74 72 79  1" ]; then...try
08f0: 6f 70 74 73 3d 22 2d 2d 65 6e 61 62 6c 65 2d 73  opts="--enable-s
0900: 68 61 72 65 64 22 0a 09 65 6c 73 65 0a 09 09 74  hared"..else...t
0910: 72 79 6f 70 74 73 3d 22 2d 2d 64 69 73 61 62 6c  ryopts="--disabl
0920: 65 2d 73 68 61 72 65 64 22 0a 09 66 69 0a 0a 09  e-shared"..fi...
0930: 53 41 56 45 5f 43 58 58 46 4c 41 47 53 3d 22 24  SAVE_CXXFLAGS="$
0940: 7b 43 58 58 46 4c 41 47 53 7d 22 0a 09 66 6f 72  {CXXFLAGS}"..for
0950: 20 74 72 79 6f 70 74 20 69 6e 20 24 74 72 79 6f   tryopt in $tryo
0960: 70 74 73 20 5f 5f 66 61 69 6c 5f 5f 3b 20 64 6f  pts __fail__; do
0970: 0a 09 09 23 20 43 6c 65 61 6e 20 75 70 2c 20 69  ...# Clean up, i
0980: 66 20 6e 65 65 64 65 64 0a 09 09 6d 61 6b 65 20  f needed...make 
0990: 64 69 73 74 63 6c 65 61 6e 20 3e 2f 64 65 76 2f  distclean >/dev/
09a0: 6e 75 6c 6c 20 32 3e 2f 64 65 76 2f 6e 75 6c 6c  null 2>/dev/null
09b0: 0a 09 09 72 6d 20 2d 72 66 20 22 24 7b 49 4e 53  ...rm -rf "${INS
09c0: 54 44 49 52 7d 22 0a 09 09 6d 6b 64 69 72 20 22  TDIR}"...mkdir "
09d0: 24 7b 49 4e 53 54 44 49 52 7d 22 0a 0a 09 09 69  ${INSTDIR}"....i
09e0: 66 20 5b 20 22 24 7b 74 72 79 6f 70 74 7d 22 20  f [ "${tryopt}" 
09f0: 3d 20 22 5f 5f 66 61 69 6c 5f 5f 22 20 5d 3b 20  = "__fail__" ]; 
0a00: 74 68 65 6e 0a 09 09 09 65 78 69 74 20 31 0a 09  then....exit 1..
0a10: 09 66 69 0a 0a 09 09 69 66 20 5b 20 22 24 7b 74  .fi....if [ "${t
0a20: 72 79 6f 70 74 7d 22 20 3d 3d 20 22 2d 2d 65 6e  ryopt}" == "--en
0a30: 61 62 6c 65 2d 73 68 61 72 65 64 22 20 5d 3b 20  able-shared" ]; 
0a40: 74 68 65 6e 0a 09 09 09 69 73 73 68 61 72 65 64  then....isshared
0a50: 3d 22 31 22 0a 09 09 65 6c 73 65 0a 09 09 09 69  ="1"...else....i
0a60: 73 73 68 61 72 65 64 3d 22 30 22 0a 09 09 66 69  sshared="0"...fi
0a70: 0a 0a 09 09 23 20 49 66 20 62 75 69 6c 64 20 61  ....# If build a
0a80: 20 73 74 61 74 69 63 20 4d 6b 34 74 63 6c 20 66   static Mk4tcl f
0a90: 6f 72 20 4b 69 74 44 4c 4c 2c 20 65 6e 73 75 72  or KitDLL, ensur
0aa0: 65 20 74 68 61 74 20 77 65 20 75 73 65 20 50 49  e that we use PI
0ab0: 43 0a 09 09 23 20 73 6f 20 74 68 61 74 20 69 74  C...# so that it
0ac0: 20 63 61 6e 20 62 65 20 6c 69 6e 6b 65 64 20 69   can be linked i
0ad0: 6e 74 6f 20 74 68 65 20 73 68 61 72 65 64 20 6f  nto the shared o
0ae0: 62 6a 65 63 74 0a 09 09 69 66 20 5b 20 22 24 7b  bject...if [ "${
0af0: 69 73 73 68 61 72 65 64 7d 22 20 3d 20 22 30 22  isshared}" = "0"
0b00: 20 2d 61 20 22 24 7b 4b 49 54 54 41 52 47 45 54   -a "${KITTARGET
0b10: 7d 22 20 3d 20 22 6b 69 74 64 6c 6c 22 20 5d 3b  }" = "kitdll" ];
0b20: 20 74 68 65 6e 0a 09 09 09 43 58 58 46 4c 41 47   then....CXXFLAG
0b30: 53 3d 22 24 7b 53 41 56 45 5f 43 58 58 46 4c 41  S="${SAVE_CXXFLA
0b40: 47 53 7d 20 2d 66 50 49 43 22 0a 09 09 09 65 78  GS} -fPIC"....ex
0b50: 70 6f 72 74 20 43 58 58 46 4c 41 47 53 0a 09 09  port CXXFLAGS...
0b60: 66 69 0a 0a 09 09 28 0a 09 09 09 65 63 68 6f 20  fi....(....echo 
0b70: 22 52 75 6e 6e 69 6e 67 3a 20 2e 2f 63 6f 6e 66  "Running: ./conf
0b80: 69 67 75 72 65 20 24 74 72 79 6f 70 74 20 2d 2d  igure $tryopt --
0b90: 70 72 65 66 69 78 3d 5c 22 24 7b 49 4e 53 54 44  prefix=\"${INSTD
0ba0: 49 52 7d 5c 22 20 2d 2d 65 78 65 63 2d 70 72 65  IR}\" --exec-pre
0bb0: 66 69 78 3d 5c 22 24 7b 49 4e 53 54 44 49 52 7d  fix=\"${INSTDIR}
0bc0: 5c 22 20 2d 2d 6c 69 62 64 69 72 3d 5c 22 24 7b  \" --libdir=\"${
0bd0: 49 4e 53 54 44 49 52 7d 2f 6c 69 62 5c 22 20 2d  INSTDIR}/lib\" -
0be0: 2d 77 69 74 68 2d 74 63 6c 3d 5c 22 24 7b 54 43  -with-tcl=\"${TC
0bf0: 4c 43 4f 4e 46 49 47 44 49 52 7d 2f 2e 2e 2f 67  LCONFIGDIR}/../g
0c00: 65 6e 65 72 69 63 5c 22 20 24 7b 43 4f 4e 46 49  eneric\" ${CONFI
0c10: 47 55 52 45 45 58 54 52 41 7d 22 0a 09 09 09 2e  GUREEXTRA}".....
0c20: 2f 63 6f 6e 66 69 67 75 72 65 20 24 74 72 79 6f  /configure $tryo
0c30: 70 74 20 2d 2d 70 72 65 66 69 78 3d 22 24 7b 49  pt --prefix="${I
0c40: 4e 53 54 44 49 52 7d 22 20 2d 2d 65 78 65 63 2d  NSTDIR}" --exec-
0c50: 70 72 65 66 69 78 3d 22 24 7b 49 4e 53 54 44 49  prefix="${INSTDI
0c60: 52 7d 22 20 2d 2d 6c 69 62 64 69 72 3d 22 24 7b  R}" --libdir="${
0c70: 49 4e 53 54 44 49 52 7d 2f 6c 69 62 22 20 2d 2d  INSTDIR}/lib" --
0c80: 77 69 74 68 2d 74 63 6c 3d 22 24 7b 54 43 4c 43  with-tcl="${TCLC
0c90: 4f 4e 46 49 47 44 49 52 7d 2f 2e 2e 2f 67 65 6e  ONFIGDIR}/../gen
0ca0: 65 72 69 63 22 20 24 7b 43 4f 4e 46 49 47 55 52  eric" ${CONFIGUR
0cb0: 45 45 58 54 52 41 7d 0a 0a 09 09 09 65 63 68 6f  EEXTRA}.....echo
0cc0: 20 22 52 75 6e 6e 69 6e 67 3a 20 24 7b 4d 41 4b   "Running: ${MAK
0cd0: 45 3a 2d 6d 61 6b 65 7d 20 74 63 6c 6c 69 62 64  E:-make} tcllibd
0ce0: 69 72 3d 5c 22 24 7b 49 4e 53 54 44 49 52 7d 2f  ir=\"${INSTDIR}/
0cf0: 6c 69 62 5c 22 20 41 52 3d 5c 22 24 7b 41 52 3a  lib\" AR=\"${AR:
0d00: 2d 61 72 7d 5c 22 20 52 41 4e 4c 49 42 3d 5c 22  -ar}\" RANLIB=\"
0d10: 24 7b 52 41 4e 4c 49 42 3a 2d 72 61 6e 6c 69 62  ${RANLIB:-ranlib
0d20: 7d 5c 22 22 0a 09 09 09 24 7b 4d 41 4b 45 3a 2d  }\""....${MAKE:-
0d30: 6d 61 6b 65 7d 20 74 63 6c 6c 69 62 64 69 72 3d  make} tcllibdir=
0d40: 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 22  "${INSTDIR}/lib"
0d50: 20 41 52 3d 22 24 7b 41 52 3a 2d 61 72 7d 22 20   AR="${AR:-ar}" 
0d60: 52 41 4e 4c 49 42 3d 22 24 7b 52 41 4e 4c 49 42  RANLIB="${RANLIB
0d70: 3a 2d 72 61 6e 6c 69 62 7d 22 20 7c 7c 20 65 78  :-ranlib}" || ex
0d80: 69 74 20 31 0a 0a 09 09 09 65 63 68 6f 20 22 52  it 1.....echo "R
0d90: 75 6e 6e 69 6e 67 3a 20 24 7b 4d 41 4b 45 3a 2d  unning: ${MAKE:-
0da0: 6d 61 6b 65 7d 20 74 63 6c 6c 69 62 64 69 72 3d  make} tcllibdir=
0db0: 5c 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62  \"${INSTDIR}/lib
0dc0: 5c 22 20 41 52 3d 5c 22 24 7b 41 52 3a 2d 61 72  \" AR=\"${AR:-ar
0dd0: 7d 5c 22 20 52 41 4e 4c 49 42 3d 5c 22 24 7b 52  }\" RANLIB=\"${R
0de0: 41 4e 4c 49 42 3a 2d 72 61 6e 6c 69 62 7d 5c 22  ANLIB:-ranlib}\"
0df0: 20 69 6e 73 74 61 6c 6c 22 0a 09 09 09 24 7b 4d   install"....${M
0e00: 41 4b 45 3a 2d 6d 61 6b 65 7d 20 74 63 6c 6c 69  AKE:-make} tclli
0e10: 62 64 69 72 3d 22 24 7b 49 4e 53 54 44 49 52 7d  bdir="${INSTDIR}
0e20: 2f 6c 69 62 22 20 41 52 3d 22 24 7b 41 52 3a 2d  /lib" AR="${AR:-
0e30: 61 72 7d 22 20 52 41 4e 4c 49 42 3d 22 24 7b 52  ar}" RANLIB="${R
0e40: 41 4e 4c 49 42 3a 2d 72 61 6e 6c 69 62 7d 22 20  ANLIB:-ranlib}" 
0e50: 69 6e 73 74 61 6c 6c 20 7c 7c 20 65 78 69 74 20  install || exit 
0e60: 31 0a 09 09 29 20 7c 7c 20 63 6f 6e 74 69 6e 75  1...) || continu
0e70: 65 0a 0a 09 09 62 72 65 61 6b 0a 09 64 6f 6e 65  e....break..done
0e80: 0a 0a 09 23 20 43 6c 65 61 6e 20 75 70 20 22 6c  ...# Clean up "l
0e90: 69 62 6d 6b 34 2e 2a 22 2c 20 69 74 27 73 20 6e  ibmk4.*", it's n
0ea0: 6f 74 20 6e 65 65 64 65 64 0a 09 72 6d 20 2d 66  ot needed..rm -f
0eb0: 20 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62   "${INSTDIR}/lib
0ec0: 22 2f 6c 69 62 6d 6b 34 2e 2a 0a 0a 09 23 20 49  "/libmk4.*...# I
0ed0: 66 20 77 65 20 61 72 65 20 62 75 69 6c 64 69 6e  f we are buildin
0ee0: 67 20 61 20 73 68 61 72 65 64 20 76 65 72 73 69  g a shared versi
0ef0: 6f 6e 20 6f 66 20 4d 6b 34 74 63 6c 2c 20 70 75  on of Mk4tcl, pu
0f00: 74 20 69 74 20 69 6e 20 74 68 65 20 56 46 53 20  t it in the VFS 
0f10: 64 69 72 65 63 74 6f 72 79 0a 09 69 66 20 5b 20  directory..if [ 
0f20: 22 24 7b 69 73 73 68 61 72 65 64 7d 22 20 3d 20  "${isshared}" = 
0f30: 22 31 22 20 5d 3b 20 74 68 65 6e 0a 09 09 63 70  "1" ]; then...cp
0f40: 20 2d 72 20 22 24 7b 49 4e 53 54 44 49 52 7d 2f   -r "${INSTDIR}/
0f50: 6c 69 62 22 20 22 24 7b 4f 55 54 44 49 52 7d 22  lib" "${OUTDIR}"
0f60: 0a 09 66 69 0a 0a 09 65 78 69 74 20 30 0a 29 20  ..fi...exit 0.) 
0f70: 7c 7c 20 65 78 69 74 20 31 0a 0a 65 78 69 74 20  || exit 1..exit 
0f80: 30 0a                                            0.